learning
Who hasn't started, is behind, or has low test scores.
Who hasn't started, is behind, or has low test scores.
OpenAPI specificationPOST
/api/v1/learning/course-at-riskAuthentication
bearerAuth
Request
curl --globoff --request POST \
--url 'https://honen.com/api/v1/learning/course-at-risk' \
--header 'Authorization: Bearer <BEARER_TOKEN>' \
--header 'Content-Type: application/json' \
--data-raw '{
"courseId": "<courseId>"
}'Replace credential and <field> placeholders with your own values. URL placeholders appear as %3Cfield%3E. Review the example values before sending your request.
Use the sample JSON body as your starting point, and enter values that match the endpoint's schema.
Request body schema or example
{
"type": "object",
"properties": {
"courseId": {
"type": "string"
},
"groupId": {
"type": "string"
},
"behindBelow": {
"type": "integer"
},
"scoreBelow": {
"type": "integer"
}
},
"required": [
"courseId"
]
}Responses
200Command result.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
true
]
},
"data": {
"type": "object",
"properties": {
"courseId": {
"type": "string"
},
"enrolled": {
"type": "number"
},
"completed": {
"type": "number"
},
"classAvgScore": {
"type": "number",
"nullable": true
},
"thresholds": {
"type": "object",
"properties": {
"behindBelow": {
"type": "number"
},
"scoreBelow": {
"type": "number"
}
},
"required": [
"behindBelow",
"scoreBelow"
]
},
"summary": {
"type": "object",
"properties": {
"notStarted": {
"type": "number"
},
"behind": {
"type": "number"
},
"lowScore": {
"type": "number"
},
"needsHelp": {
"type": "number"
}
},
"required": [
"notStarted",
"behind",
"lowScore",
"needsHelp"
]
},
"notStarted": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"email": {
"type": "string"
},
"progressPercent": {
"type": "number"
},
"avgScore": {
"type": "number",
"nullable": true
},
"minScore": {
"type": "number",
"nullable": true
},
"maxScore": {
"type": "number",
"nullable": true
},
"status": {
"type": "string",
"enum": [
"complete",
"active",
"not-started"
]
},
"completedAt": {
"type": "string",
"nullable": true
}
},
"required": [
"id",
"name",
"email",
"progressPercent",
"avgScore",
"minScore",
"maxScore",
"status",
"completedAt"
]
}
},
"behind": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"email": {
"type": "string"
},
"progressPercent": {
"type": "number"
},
"avgScore": {
"type": "number",
"nullable": true
},
"minScore": {
"type": "number",
"nullable": true
},
"maxScore": {
"type": "number",
"nullable": true
},
"status": {
"type": "string",
"enum": [
"complete",
"active",
"not-started"
]
},
"completedAt": {
"type": "string",
"nullable": true
}
},
"required": [
"id",
"name",
"email",
"progressPercent",
"avgScore",
"minScore",
"maxScore",
"status",
"completedAt"
]
}
},
"lowScore": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"email": {
"type": "string"
},
"progressPercent": {
"type": "number"
},
"avgScore": {
"type": "number",
"nullable": true
},
"minScore": {
"type": "number",
"nullable": true
},
"maxScore": {
"type": "number",
"nullable": true
},
"status": {
"type": "string",
"enum": [
"complete",
"active",
"not-started"
]
},
"completedAt": {
"type": "string",
"nullable": true
}
},
"required": [
"id",
"name",
"email",
"progressPercent",
"avgScore",
"minScore",
"maxScore",
"status",
"completedAt"
]
}
}
},
"required": [
"courseId",
"enrolled",
"completed",
"classAvgScore",
"thresholds",
"summary",
"notStarted",
"behind",
"lowScore"
]
}
},
"required": [
"success",
"data"
]
}400Malformed JSON request body.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}401Missing or invalid Connector credentials.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}403Connector policy does not permit this command.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}404Unknown command.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}422Input validation error.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}